org.appng.xml.platform

## Class OutputType

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.OutputType

- All Implemented Interfaces:
    Serializable

      public class OutputType
      extends BaseObject
      implements Serializable

  An OutputType offers a certain layout for a `OutputFormat`. For example, there could be one OutputType optimized for desktop clients and one optmized for mobile clients. Therefore, several `Template`s are used, which contain the nessecarry XSL transformations.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `_default`
    `protected String` | `id`
    `protected Permissions` | `permissions`
    `protected List<Template>` | `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` The unique Id for this OutputType within the parent `OutputFormat`.
    `Permissions` | `getPermissions()` Gets the value of the permissions property.
    `List<Template>` | `getTemplates()` Gets the value of the templates property.
    `Boolean` | `isDefault()` Set to 'true' if this is the default OutputType for the parent `OutputFormat`.
    `void` | `setDefault(Boolean value)` Sets the value of the default property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setPermissions(Permissions value)` Sets the value of the permissions property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### permissions

          protected Permissions permissions

    - #### templates

          protected List<Template> templates

    - #### id

          protected String id

    - #### _default

          protected Boolean _default

  - ### Constructor Detail

    - #### OutputType

          public OutputType()

  - ### Method Detail

    - #### getPermissions

          public Permissions getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `Permissions`

    - #### setPermissions

          public void setPermissions(Permissions value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `Permissions`

    - #### getTemplates

          public List<Template> getTemplates()

      Gets the value of the templates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the templates property.

      For example, to add a new item, do as follows:

              getTemplates().add(newItem);

      Objects of the following type(s) are allowed in the list `Template`

    - #### getId

          public String getId()

      The unique Id for this OutputType within the parent `OutputFormat`.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDefault

          public Boolean isDefault()

      Set to 'true' if this is the default OutputType for the parent `OutputFormat`.
      Returns:
        possible object is `Boolean`

    - #### setDefault

          public void setDefault(Boolean value)

      Sets the value of the default property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.